package com.loan.system.domain.enums;


/**
 * @author xuhong
 * @date 2020/9/2 - 20:05
 * @Description 错误枚举类
 */
public enum MessageEnum {

    SUCCESS(200,"成功"),
    ERROR(500,"失败"),
    NOT_FOUND(404,"未找到"),
    NOT_ALLOWED(405,"不允许"),
    NOT_AUTHORIZED(401,"未授权"),
    NOT_SUPPORTED(415,"不支持"),
    NOT_ACCEPTABLE(406,"不可接受"),
    NOT_FOUND_USER(404,"用户不存在"),
    NOT_FOUND_ROLE(404,"角色不存在"),
    NOT_FOUND_PERMISSION(404,"权限不存在")
    ;

    private Integer code;
    private String msg;

    public Integer getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }

    MessageEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }
}
